# File - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.files / File

# File

(common) `data class File : TelegramMediaFile` (source)

### Constructors

(common)

#### <init>

`File(fileId: FileId, fileUniqueId: FileUniqueId, fileSize: Long? = null)`

### Properties

(common)

#### fileId

`val fileId: FileId`

(common)

#### fileSize

`val fileSize: Long?`

(common)

#### fileUniqueId

`val fileUniqueId: FileUniqueId`